Bug 968435 - [RFE] Present in the UI the correlation between virtual disks in a VM and what the VM sees
[RFE] Present in the UI the correlation between virtual disks in a VM and wha...
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.3.0
All Linux
low Severity medium
: ovirt-4.3.0
: ---
Assigned To: Tal Nisan
Natalie Gavrielov
: FutureFeature
: 1276189 1360977 (view as bug list)
Depends On: 1063597
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 13:45 EDT by Josep 'Pep' Turro Mauri
Modified: 2017-09-28 05:49 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 202043 None None None Never

  None (edit)
Description Josep 'Pep' Turro Mauri 2013-05-29 13:45:42 EDT
A means to easily identify what a Virtual Disk for a VM within RHEVM matches to on the VM itself.

For example when you look at a Virtual Machine and click on the Virtual Disks tab it lists Disks1, Disk2, etc. We would like to have something that tied this to what the VM itself sees i.e. Disk1 = vda.

This way if we have to remove disk from a VM and then drop them from RHEV we can do so with more confidence that the correct disk is being removed.
Comment 9 Yaniv Kaul 2016-11-21 07:47:39 EST
I'm not sure why we are not setting, by default, a serial number to the disks. This could be used to make the identification easily.
Comment 10 Tal Nisan 2016-11-23 05:27:02 EST
Can be an option indeed, I saw that Libvirt supports it be using the <serial> tag within the <disk> tag so all we have to do probably is generate a serial to each disk or disk-vm relation and send it when running the VM
Comment 11 Yaniv Lavi (Dary) 2016-12-06 06:39:45 EST
*** Bug 1276189 has been marked as a duplicate of this bug. ***
Comment 12 Yaniv Lavi (Dary) 2016-12-06 08:43:11 EST
*** Bug 1360977 has been marked as a duplicate of this bug. ***
Comment 14 Tal Nisan 2017-05-23 07:32:29 EDT
Currently we send the serial number in the Libvirt XML which allows correlating the disk to the device by using /dev/disk/by-id
For showing that info in the UI we can use the logical name collected in the disk stats but that methods is not 100% accurate as the info is reported once every few minutes and also it might change in the next boot of the guest and also requires of course guest tools to be installed on the guest.
Does this option makes sense to you?
Comment 15 Julio Entrena Perez 2017-05-23 09:12:21 EDT
As per comment 1, the expectation is that the name that the disk has in the guest OS is exposed in webadmin portal, for example so end user knows with certainty which disk is being removed.

(In reply to Josep 'Pep' Turro Mauri from comment #1)
> 
> 5. How would the customer like to achieve this? (List the functional
> requirements here)
> 
> It could appear in an additional column in the VM's "disks" sub-tab, in the
> API's vm/ID/disks section, or ideally in both.
> 
> Right now the information seems to be accessible to vdsm, at least for
> VirtIO devices. E.g. a "vdsClient list" for a RHEL6 VM includes this:
> 
>   {
>     "address": {
>       "slot": "0x05",
>       ...
>     },
>     ...
>     "alias": "virtio-disk0",
>     "imageID": "1e07b659-2a5f-4a46-a6d6-09374192f076",
>     ...
>     "name": "vda",
>     ...
> 
> so the request would be to visualize this in the webadmin portal / API.
Comment 16 Tal Nisan 2017-05-23 10:26:34 EDT
This info is only accessible from within the guest and can be reported to Engine only with guest tools installed as I stated in comment 14 with the limitations I've mentioned
Comment 17 Julio Entrena Perez 2017-05-23 10:50:10 EDT
As per the above comment this info is available at least from the host:

> Right now the information seems to be accessible to vdsm, at least for
> VirtIO devices. E.g. a "vdsClient list" for a RHEL6 VM includes this:
> 
>   {
>     "address": {
>       "slot": "0x05",
>       ...
>     },
>     ...
>     "alias": "virtio-disk0",
>     "imageID": "1e07b659-2a5f-4a46-a6d6-09374192f076",
>     ...
>     "name": "vda",
              ^^^^^

It may only be available when the guest tools are installed indeed.

Customer is requesting this to be displayed by engine.

Note You need to log in before you can comment on or make changes to this bug.